#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QPushButton>
#include <QMainWindow>
#include <QTextEdit>
#include <QDoubleSpinBox>
#define fromLineEdit(LineEdit)LineEdit->text().toUtf8().constData()

class MainWindow : public QMainWindow
{
    Q_OBJECT
protected:
#ifndef QT_NO_CONTEXTMENU
    void contextMenuEvent(QContextMenuEvent *event) override;
#endif // QT_NO_CONTEXTMENU
    
private slots:
    void save();
    void about();
    void handleSubmit();
    void clear();
    
private:
    QMenu *fileMenu;
    QMenu *helpMenu;
    QAction *saveAct;
    QAction *newAct;
    QAction *exitAct;
    QAction *clearAct;
    QAction *aboutAct;
    QAction *aboutQtAct;
    QTextEdit *textEdit;
    QDoubleSpinBox *catSpinBox;
    QDoubleSpinBox *dogSpinBox;
    QDoubleSpinBox *horseSpinBox;
    QDoubleSpinBox *umwwSpinBox;
    QLineEdit *catLineEdit;
    QLineEdit *dogLineEdit;
    QLineEdit *horseLineEdit;
    QLineEdit *umwwLineEdit;
    QPushButton *submitButton;
public:
    explicit MainWindow(QWidget *parent = nullptr);
};

#endif // MAINWINDOW_H
